Yes, all they should need is teensy.exe and your .hex file.

If you also include the .elf file, Teensy Loader will know the file is supposed to be for a Teensy++ 2.0. If they were to connect a...